<?php

namespace B2buy\Tutorial;

use DB;
use Illuminate\Database\Seeder;

class TutorialTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('tutorials')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'tutorial.tutorial.view',
                'name'      => 'View Tutorial',
            ],
            [
                'slug'      => 'tutorial.tutorial.create',
                'name'      => 'Create Tutorial',
            ],
            [
                'slug'      => 'tutorial.tutorial.edit',
                'name'      => 'Update Tutorial',
            ],
            [
                'slug'      => 'tutorial.tutorial.delete',
                'name'      => 'Delete Tutorial',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'tutorial.tutorial.verify',
                'name'      => 'Verify Tutorial',
            ],
            [
                'slug'      => 'tutorial.tutorial.approve',
                'name'      => 'Approve Tutorial',
            ],
            [
                'slug'      => 'tutorial.tutorial.publish',
                'name'      => 'Publish Tutorial',
            ],
            [
                'slug'      => 'tutorial.tutorial.unpublish',
                'name'      => 'Unpublish Tutorial',
            ],
            [
                'slug'      => 'tutorial.tutorial.cancel',
                'name'      => 'Cancel Tutorial',
            ],
            [
                'slug'      => 'tutorial.tutorial.archive',
                'name'      => 'Archive Tutorial',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/tutorial/tutorial',
                'name'        => 'Tutorial',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/tutorial/tutorial',
                'name'        => 'Tutorial',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'tutorial',
                'name'        => 'Tutorial',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Tutorial',
                'module'    => 'Tutorial',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'tutorial.tutorial.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
