<?php

// API routes  for tutorial
Route::prefix('{guard}/tutorial')->group(function () {
    Route::get('tutorial/form/{element}', 'TutorialAPIController@form');
    Route::resource('tutorial', 'TutorialAPIController');
});

// Public routes for tutorial
Route::get('tutorials/', 'TutorialPublicController@index');
Route::get('tutorials/{slug?}', 'TutorialPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for tutorials
            Route::prefix('{guard}/tutorial')->group(function () {
                Route::get('tutorial/form/{element}', 'TutorialAPIController@form');
                Route::apiResource('tutorial', 'TutorialAPIController');
            });
            // Public routes for tutorials
            Route::get('tutorial/Tutorial', 'TutorialPublicController@getTutorial');
        }
    );
}

// API routes  for tutorialcategory
Route::prefix('{guard}/tutorial')->group(function () {
    Route::get('tutorialcategory/form/{element}', 'TutorialcategoryAPIController@form');
    Route::resource('tutorialcategory', 'TutorialcategoryAPIController');
});

// Public routes for tutorialcategory
Route::get('tutorials/', 'TutorialcategoryPublicController@index');
Route::get('tutorials/{slug?}', 'TutorialcategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for tutorials
            Route::prefix('{guard}/tutorial')->group(function () {
                Route::get('tutorialcategory/form/{element}', 'TutorialcategoryAPIController@form');
                Route::apiResource('tutorialcategory', 'TutorialcategoryAPIController');
            });
            // Public routes for tutorials
            Route::get('tutorial/Tutorialcategory', 'TutorialcategoryPublicController@getTutorialcategory');
        }
    );
}

// API routes  for tutorialtag
Route::prefix('{guard}/tutorial')->group(function () {
    Route::get('tutorialtag/form/{element}', 'TutorialtagAPIController@form');
    Route::resource('tutorialtag', 'TutorialtagAPIController');
});

// Public routes for tutorialtag
Route::get('tutorials/', 'TutorialtagPublicController@index');
Route::get('tutorials/{slug?}', 'TutorialtagPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for tutorials
            Route::prefix('{guard}/tutorial')->group(function () {
                Route::get('tutorialtag/form/{element}', 'TutorialtagAPIController@form');
                Route::apiResource('tutorialtag', 'TutorialtagAPIController');
            });
            // Public routes for tutorials
            Route::get('tutorial/Tutorialtag', 'TutorialtagPublicController@getTutorialtag');
        }
    );
}

