<?php

namespace B2buy\Tutorial\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use B2buy\Tutorial\Interfaces\TutorialtagRepositoryInterface;

class TutorialtagPublicController extends BaseController
{
    // use TutorialtagWorkflow;

    /**
     * Constructor.
     *
     * @param type \B2buy\Tutorialtag\Interfaces\TutorialtagRepositoryInterface $tutorialtag
     *
     * @return type
     */
    public function __construct(TutorialtagRepositoryInterface $tutorialtag)
    {
        $this->repository = $tutorialtag;
        parent::__construct();
    }

    /**
     * Show tutorialtag's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $tutorialtags = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('tutorial::tutorialtag.names'))
            ->view('tutorial::public.tutorialtag.index')
            ->data(compact('tutorialtags'))
            ->output();
    }


    /**
     * Show tutorialtag.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $tutorialtag = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($tutorialtag->name . trans('tutorial::tutorialtag.name'))
            ->view('tutorial::public.tutorialtag.show')
            ->data(compact('tutorialtag'))
            ->output();
    }

}
