<?php

namespace B2buy\Tutorial\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Tutorial workflow validator
        'B2buy\Tutorial\Models\Tutorial' => \B2buy\Tutorial\Workflow\TutorialValidator::class,
        // Bind Tutorialcategory workflow validator
        'B2buy\Tutorial\Models\Tutorialcategory' => \B2buy\Tutorial\Workflow\TutorialcategoryValidator::class,
        // Bind Tutorialtag workflow validator
        'B2buy\Tutorial\Models\Tutorialtag' => \B2buy\Tutorial\Workflow\TutorialtagValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Tutorial workflow actions
        'B2buy\Tutorial\Models\Tutorial' => \B2buy\Tutorial\Workflow\TutorialAction::class,
        // Bind Tutorialcategory workflow actions
        'B2buy\Tutorial\Models\Tutorialcategory' => \B2buy\Tutorial\Workflow\TutorialcategoryAction::class,
        // Bind Tutorialtag workflow actions
        'B2buy\Tutorial\Models\Tutorialtag' => \B2buy\Tutorial\Workflow\TutorialtagAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Tutorial workflow notifiers
        'B2buy\Tutorial\Models\Tutorial' => \B2buy\Tutorial\Workflow\TutorialNotifier::class,
        // Bind Tutorialcategory workflow notifiers
        'B2buy\Tutorial\Models\Tutorialcategory' => \B2buy\Tutorial\Workflow\TutorialcategoryNotifier::class,
        // Bind Tutorialtag workflow notifiers
        'B2buy\Tutorial\Models\Tutorialtag' => \B2buy\Tutorial\Workflow\TutorialtagNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
