<?php

namespace B2buy\Tutorial\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TutorialTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Tutorial\Models\Tutorial $tutorial)
    {
        return [
            'id'                => $tutorial->getRouteKey(),
            'key'               => [
                'public'    => $tutorial->getPublicKey(),
                'route'     => $tutorial->getRouteKey(),
            ], 
            'category_id'       => $tutorial->category_id,
            'title'             => $tutorial->title,
            'summary'           => $tutorial->summary,
            'description'       => $tutorial->description,
            'images'            => $tutorial->images,
            'tags'              => $tutorial->tags,
            'viewcount'         => $tutorial->viewcount,
            'slug'              => $tutorial->slug,
            'user_id'           => $tutorial->user_id,
            'user_type'         => $tutorial->user_type,
            'deleted_at'        => $tutorial->deleted_at,
            'url'               => [
                'public'    => trans_url('tutorial/'.$tutorial->getPublicKey()),
                'user'      => guard_url('tutorial/tutorial/'.$tutorial->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tutorial->status),
            'created_at'        => format_date($tutorial->created_at),
            'updated_at'        => format_date($tutorial->updated_at),
        ];
    }
}