<?php

namespace B2buy\Tutorial\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TutorialcategoryTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Tutorial\Models\Tutorialcategory $tutorialcategory)
    {
        return [
            'id'                => $tutorialcategory->getRouteKey(),
            'key'               => [
                'public'    => $tutorialcategory->getPublicKey(),
                'route'     => $tutorialcategory->getRouteKey(),
            ], 
            'name'              => $tutorialcategory->name,
            'slug'              => $tutorialcategory->slug,
            'user_id'           => $tutorialcategory->user_id,
            'user_type'         => $tutorialcategory->user_type,
            'deleted_at'        => $tutorialcategory->deleted_at,
            'url'               => [
                'public'    => trans_url('tutorial/'.$tutorialcategory->getPublicKey()),
                'user'      => guard_url('tutorial/tutorialcategory/'.$tutorialcategory->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tutorialcategory->status),
            'created_at'        => format_date($tutorialcategory->created_at),
            'updated_at'        => format_date($tutorialcategory->updated_at),
        ];
    }
}