<?php

namespace B2buy\Tutorial\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TutorialtagTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Tutorial\Models\Tutorialtag $tutorialtag)
    {
        return [
            'id'                => $tutorialtag->getRouteKey(),
            'key'               => [
                'public'    => $tutorialtag->getPublicKey(),
                'route'     => $tutorialtag->getRouteKey(),
            ], 
            'name'              => $tutorialtag->name,
            'slug'              => $tutorialtag->slug,
            'user_id'           => $tutorialtag->user_id,
            'user_type'         => $tutorialtag->user_type,
            'deleted_at'        => $tutorialtag->deleted_at,
            'url'               => [
                'public'    => trans_url('tutorial/'.$tutorialtag->getPublicKey()),
                'user'      => guard_url('tutorial/tutorialtag/'.$tutorialtag->getRouteKey()),
            ], 
            'status'            => trans('app.'.$tutorialtag->status),
            'created_at'        => format_date($tutorialtag->created_at),
            'updated_at'        => format_date($tutorialtag->updated_at),
        ];
    }
}