<?php

namespace B2buy\Tutorial\Workflow;

use B2buy\Tutorial\Models\Tutorial;
use B2buy\Tutorial\Notifications\TutorialWorkflow as TutorialNotifyer;
use Notification;

class TutorialNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Tutorial $tutorial
     *
     * @return void
     */
    public function complete(Tutorial $tutorial)
    {
        return Notification::send($tutorial->user, new TutorialNotifyer($tutorial, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Tutorial $tutorial
     *
     * @return void
     */
    public function verify(Tutorial $tutorial)
    {
        return Notification::send($tutorial->user, new TutorialNotifyer($tutorial, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Tutorial $tutorial
     *
     * @return void
     */
    public function approve(Tutorial $tutorial)
    {
        return Notification::send($tutorial->user, new TutorialNotifyer($tutorial, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Tutorial $tutorial
     *
     * @return void
     */
    public function publish(Tutorial $tutorial)
    {
        return Notification::send($tutorial->user, new TutorialNotifyer($tutorial, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Tutorial $tutorial
     *
     * @return void
     */
    public function archive(Tutorial $tutorial)
    {
        return Notification::send($tutorial->user, new TutorialNotifyer($tutorial, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Tutorial $tutorial
     *
     * @return void
     */
    public function unpublish(Tutorial $tutorial)
    {
        return Notification::send($tutorial->user, new TutorialNotifyer($tutorial, 'unpublish'));;

    }
}
