<?php

namespace B2buy\Tutorial\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use B2buy\Tutorial\Models\Tutorialcategory;

class TutorialcategoryAction
{
    /**
     * Perform the complete action.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return Tutorialcategory
     */
    public function complete(Tutorialcategory $tutorialcategory)
    {
        try {
            $tutorialcategory->status = 'complete';
            return $tutorialcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return Tutorialcategory
     */public function verify(Tutorialcategory $tutorialcategory)
    {
        try {
            $tutorialcategory->status = 'verify';
            return $tutorialcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return Tutorialcategory
     */public function approve(Tutorialcategory $tutorialcategory)
    {
        try {
            $tutorialcategory->status = 'approve';
            return $tutorialcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return Tutorialcategory
     */public function publish(Tutorialcategory $tutorialcategory)
    {
        try {
            $tutorialcategory->status = 'publish';
            return $tutorialcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return Tutorialcategory
     */
    public function archive(Tutorialcategory $tutorialcategory)
    {
        try {
            $tutorialcategory->status = 'archive';
            return $tutorialcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return Tutorialcategory
     */
    public function unpublish(Tutorialcategory $tutorialcategory)
    {
        try {
            $tutorialcategory->status = 'unpublish';
            return $tutorialcategory->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
