<?php

namespace B2buy\Tutorial\Workflow;

use B2buy\Tutorial\Models\Tutorialcategory;
use B2buy\Tutorial\Notifications\TutorialcategoryWorkflow as TutorialcategoryNotifyer;
use Notification;

class TutorialcategoryNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return void
     */
    public function complete(Tutorialcategory $tutorialcategory)
    {
        return Notification::send($tutorialcategory->user, new TutorialcategoryNotifyer($tutorialcategory, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return void
     */
    public function verify(Tutorialcategory $tutorialcategory)
    {
        return Notification::send($tutorialcategory->user, new TutorialcategoryNotifyer($tutorialcategory, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return void
     */
    public function approve(Tutorialcategory $tutorialcategory)
    {
        return Notification::send($tutorialcategory->user, new TutorialcategoryNotifyer($tutorialcategory, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return void
     */
    public function publish(Tutorialcategory $tutorialcategory)
    {
        return Notification::send($tutorialcategory->user, new TutorialcategoryNotifyer($tutorialcategory, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return void
     */
    public function archive(Tutorialcategory $tutorialcategory)
    {
        return Notification::send($tutorialcategory->user, new TutorialcategoryNotifyer($tutorialcategory, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Tutorialcategory $tutorialcategory
     *
     * @return void
     */
    public function unpublish(Tutorialcategory $tutorialcategory)
    {
        return Notification::send($tutorialcategory->user, new TutorialcategoryNotifyer($tutorialcategory, 'unpublish'));;

    }
}
