<?php

namespace B2buy\Tutorial\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use B2buy\Tutorial\Models\Tutorialtag;

class TutorialtagAction
{
    /**
     * Perform the complete action.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return Tutorialtag
     */
    public function complete(Tutorialtag $tutorialtag)
    {
        try {
            $tutorialtag->status = 'complete';
            return $tutorialtag->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return Tutorialtag
     */public function verify(Tutorialtag $tutorialtag)
    {
        try {
            $tutorialtag->status = 'verify';
            return $tutorialtag->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return Tutorialtag
     */public function approve(Tutorialtag $tutorialtag)
    {
        try {
            $tutorialtag->status = 'approve';
            return $tutorialtag->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return Tutorialtag
     */public function publish(Tutorialtag $tutorialtag)
    {
        try {
            $tutorialtag->status = 'publish';
            return $tutorialtag->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return Tutorialtag
     */
    public function archive(Tutorialtag $tutorialtag)
    {
        try {
            $tutorialtag->status = 'archive';
            return $tutorialtag->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return Tutorialtag
     */
    public function unpublish(Tutorialtag $tutorialtag)
    {
        try {
            $tutorialtag->status = 'unpublish';
            return $tutorialtag->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
