<?php

namespace B2buy\Tutorial\Workflow;

use B2buy\Tutorial\Models\Tutorialtag;
use B2buy\Tutorial\Notifications\TutorialtagWorkflow as TutorialtagNotifyer;
use Notification;

class TutorialtagNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return void
     */
    public function complete(Tutorialtag $tutorialtag)
    {
        return Notification::send($tutorialtag->user, new TutorialtagNotifyer($tutorialtag, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return void
     */
    public function verify(Tutorialtag $tutorialtag)
    {
        return Notification::send($tutorialtag->user, new TutorialtagNotifyer($tutorialtag, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return void
     */
    public function approve(Tutorialtag $tutorialtag)
    {
        return Notification::send($tutorialtag->user, new TutorialtagNotifyer($tutorialtag, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return void
     */
    public function publish(Tutorialtag $tutorialtag)
    {
        return Notification::send($tutorialtag->user, new TutorialtagNotifyer($tutorialtag, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return void
     */
    public function archive(Tutorialtag $tutorialtag)
    {
        return Notification::send($tutorialtag->user, new TutorialtagNotifyer($tutorialtag, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Tutorialtag $tutorialtag
     *
     * @return void
     */
    public function unpublish(Tutorialtag $tutorialtag)
    {
        return Notification::send($tutorialtag->user, new TutorialtagNotifyer($tutorialtag, 'unpublish'));;

    }
}
